import click
import yaml

from .preprocess import preprocess_file


@click.group()
# @click.argument('--config', envvar='PREPROCESS_CONFIG', type=click.File('r'))
def cli():
    pass


@cli.command(help='Run the preprocess daemon, attaching to a Redis queue')
def daemon(ctx):
    click.echo(ctx['CONFIG'])


@cli.command(help='Run a single, one-off preprocessing')
@click.argument('file_path', type=str)
@click.option('--config-file', type=click.File('r'))
def preprocess(file_path, config_file=None):
    print(config_file, file_path)
    config = yaml.load(config_file)
    preprocess_file(config, file_path)


if __name__ == '__main__':
    cli()
